#!/usr/bin/env bash

import os

def create_model(name):
    MODEL = (
        f"mesh: \"/assets/kay/gltf/{name}\"\n"
        f"name: \"skull_candle\"\n"
        f"materials {{\n"
        f"  name: \"HalloweenBits\"\n"
        f"  material: \"/assets/materials/halloween.material\"\n"
        f"  textures {{\n"
        f"    sampler: \"tex0\"\n"
        f"    texture: \"/assets/kay/gltf/halloweenbits_texture.png\"\n"
        f"  }}\n"
        f"}}\n"
        )

    return MODEL

def write_model(path, model):
    with open(path, 'w', encoding = 'utf-8') as f:
        f.write(model)


outdir = os.path.join(os.getcwd(), "models")

for name in os.listdir("kay/gltf"):
    basename, ext = os.path.splitext(name)
    if ext not in ['.gltf', '.glb']:
        continue

    m = create_model(name)
    path = os.path.join(outdir, f"{basename}.model")
    write_model(path, m)
    print("Wrote to", path)
